> ## Documentation Index
> Fetch the complete documentation index at: https://openai-hd4n6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List checkpoint permissions

> **NOTE:** This endpoint requires an [admin API key](../admin-api-keys).

Organization owners can use this endpoint to view all permissions for a fine-tuned model checkpoint.




## OpenAPI

````yaml api-definition.yaml get /fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions
openapi: 3.0.0
info:
  title: OpenAI API
  description: >-
    The OpenAI REST API. Please see
    https://platform.openai.com/docs/api-reference for more details.
  version: 2.3.0
  termsOfService: https://openai.com/policies/terms-of-use
  contact:
    name: OpenAI Support
    url: https://help.openai.com/
  license:
    name: MIT
    url: https://github.com/openai/openai-openapi/blob/master/LICENSE
servers:
  - url: https://api.openai.com/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Assistants
    description: Build Assistants that can call models and use tools.
  - name: Audio
    description: Turn audio into text or text into audio.
  - name: Chat
    description: >-
      Given a list of messages comprising a conversation, the model will return
      a response.
  - name: Completions
    description: >-
      Given a prompt, the model will return one or more predicted completions,
      and can also return the probabilities of alternative tokens at each
      position.
  - name: Embeddings
    description: >-
      Get a vector representation of a given input that can be easily consumed
      by machine learning models and algorithms.
  - name: Evals
    description: Manage and run evals in the OpenAI platform.
  - name: Fine-tuning
    description: Manage fine-tuning jobs to tailor a model to your specific training data.
  - name: Batch
    description: Create large batches of API requests to run asynchronously.
  - name: Files
    description: >-
      Files are used to upload documents that can be used with features like
      Assistants and Fine-tuning.
  - name: Uploads
    description: Use Uploads to upload large files in multiple parts.
  - name: Images
    description: Given a prompt and/or an input image, the model will generate a new image.
  - name: Models
    description: List and describe the various models available in the API.
  - name: Moderations
    description: >-
      Given text and/or image inputs, classifies if those inputs are potentially
      harmful.
  - name: Audit Logs
    description: List user actions and configuration changes within this organization.
paths:
  /fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions:
    get:
      tags:
        - Fine-tuning
      summary: List checkpoint permissions
      description: >
        **NOTE:** This endpoint requires an [admin API key](../admin-api-keys).


        Organization owners can use this endpoint to view all permissions for a
        fine-tuned model checkpoint.
      operationId: listFineTuningCheckpointPermissions
      parameters:
        - in: path
          name: fine_tuned_model_checkpoint
          required: true
          schema:
            type: string
            example: ft-AF1WoRqd3aJAHsqc9NY7iL8F
          description: |
            The ID of the fine-tuned model checkpoint to get permissions for.
        - name: project_id
          in: query
          description: The ID of the project to get permissions for.
          required: false
          schema:
            type: string
        - name: after
          in: query
          description: >-
            Identifier for the last permission ID from the previous pagination
            request.
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: Number of permissions to retrieve.
          required: false
          schema:
            type: integer
            default: 10
        - name: order
          in: query
          description: The order in which to retrieve permissions.
          required: false
          schema:
            type: string
            enum:
              - ascending
              - descending
            default: descending
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListFineTuningCheckpointPermissionResponse
components:
  schemas:
    ListFineTuningCheckpointPermissionResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/FineTuningCheckpointPermission'
        object:
          type: string
          enum:
            - list
          x-stainless-const: true
        first_id:
          type: string
          nullable: true
        last_id:
          type: string
          nullable: true
        has_more:
          type: boolean
      required:
        - object
        - data
        - has_more
    FineTuningCheckpointPermission:
      type: object
      title: FineTuningCheckpointPermission
      description: >
        The `checkpoint.permission` object represents a permission for a
        fine-tuned model checkpoint.
      properties:
        id:
          type: string
          description: >-
            The permission identifier, which can be referenced in the API
            endpoints.
        created_at:
          type: integer
          description: The Unix timestamp (in seconds) for when the permission was created.
        project_id:
          type: string
          description: The project identifier that the permission is for.
        object:
          type: string
          description: The object type, which is always "checkpoint.permission".
          enum:
            - checkpoint.permission
          x-stainless-const: true
      required:
        - created_at
        - id
        - object
        - project_id
      x-oaiMeta:
        name: The fine-tuned model checkpoint permission object
        example: |
          {
            "object": "checkpoint.permission",
            "id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
            "created_at": 1712211699,
            "project_id": "proj_abGMw1llN8IrBb6SvvY5A1iH"
          }
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer

````